## btanks 0.7.5800

=== SConstruct ===
import os, sys

#builder for static libraries
env = Environment()

picLibBuilder = Builder(
		action = Action('$ARCOM'),
		emitter = '$LIBEMITTER',
		prefix = '$LIBPREFIX',
		suffix = '$LIBSUFFIX',
		src_suffix = '$OBJSUFFIX',
		src_builder = 'SharedObject')

env['BUILDERS']['StaticLibrary'] = picLibBuilder
env['BUILDERS']['Library'] = picLibBuilder

opts = Options(['options.cache'])
opts.Add('CC', 'C compiler')
opts.Add('CXX', 'C++ compiler')
opts.Add('CCFLAGS', 'General options that are passed to the C compiler', '')
opts.Add('CXXFLAGS', 'General options that are passed to the C++ compiler', '')
if sys.platform == "win32":
	opts.Add('LINK', 'Linker program', '')
opts.Add('LINKFLAGS', 'General options that are passed to the linker', '')
opts.Add('CPPPATH', 'extra cpp path', '')

if sys.platform != "win32":
	opts.Add('prefix', 'prefix for **nix packaging', '')
	opts.Add('resources_dir', 'resources directory (default: prefix/share)', '')
	opts.Add('lib_dir', 'resources directory (default: prefix/share)', '')

opts.Add(EnumOption('mode', 'build mode', 'release', allowed_values=('debug','release')))
opts.Add(BoolOption('gcc_visibility', 'gcc visibility', 'false'))
opts.Add(BoolOption('enable_lua', 'enable lua support', 'true'))

opts.Update(env)
opts.Save('options.cache', env.Copy())

Help(opts.GenerateHelpText(env))

buildmode = env['mode']
debug = buildmode == "debug"
Export('debug')

import SCons.Util
if os.environ.has_key('CC'):
	env['CC'] = os.environ['CC']
if os.environ.has_key('CFLAGS'):
	env['CCFLAGS'] += SCons.Util.CLVar(os.environ['CFLAGS'])
if os.environ.has_key('CXX'):
	env['CXX'] = os.environ['CXX']
if os.environ.has_key('CXXFLAGS'):
	env['CXXFLAGS'] += SCons.Util.CLVar(os.environ['CXXFLAGS'])
if os.environ.has_key('LDFLAGS'):
	env['LINKFLAGS'] += SCons.Util.CLVar(os.environ['LDFLAGS'])

if (env['gcc_visibility']): 
	env.Append(CCFLAGS=' -fvisibility-inlines-hidden -fvisibility=hidden -DGCC_HASCLASSVISIBILITY ')
	env.Append(CXXFLAGS=' -fvisibility-inlines-hidden -fvisibility=hidden -DGCC_HASCLASSVISIBILITY ')

if sys.platform == "win32" and debug:
	stl_port_debug = True
else: 
	stl_port_debug = False

if stl_port_debug: 
	env.Append(CPPDEFINES = ['_STLP_DEBUG', '_STLP_DEBUG_UNINITIALIZED'])

env.Append(CPPDEFINES = ['USE_GLSDL'])
env.Append(CPPDEFINES = ['V3_DISABLE_Z'])
env.Append(CPPDEFINES = ['_REENTRANT'])

#print sys.platform
if sys.platform == "win32":
	al_lib = 'openal32'
	env.Append(CPPDEFINES = ['WIN32', '_WINDOWS', '_CRT_SECURE_NO_WARNINGS']) #, '_UNICODE'
	env.Append(CCFLAGS = ' /GR /W3 /nologo ')
	env.Append(CPPFLAGS = ' /EHsc /GR /W3 /nologo ')

	if debug:
		env.Append(CCFLAGS = ' /Yd /Zi /Ge /GT /GZ /Od /ZI /MDd ')
		env.Append(CPPFLAGS = ' /Yd /Zi /Ge /GT /GZ /Od /ZI /MDd ')
		env.Append(LINKFLAGS = ' /NOLOGO /DEBUG ')
	else:
		env.Append(CCCFLAGS = ' /Ot /Ox /GA /GF /Gs /Gy /MD ') #optimizations
		env.Append(CPPFLAGS = ' /Ot /Ox /GA /GF /Gs /Gy /MD ') #optimizations
		env.Append(LINKFLAGS = ' /OPT:REF /OPT:ICF /NOLOGO /INCREMENTAL:NO ')
		#env.Append(CPPDEFINES = ['NDEBUG']) 

#	
#	env.Append(CPPFLAGS = '/Ox /Ot ') #optimizations
#	env.Prepend(CPPPATH=' C:\\\\STLport-4.6.2\\\\stlport ')
else:
	if env['gcc_visibility']: 
		env.Append(CCFLAGS=' -fvisibility-inlines-hidden -fvisibility=hidden ');
		env.Append(CPPFLAGS=' -fvisibility-inlines-hidden -fvisibility=hidden ');
	if debug:
		env.Append(CCFLAGS='-ggdb ')
		env.Append(CPPFLAGS='-ggdb ')
	else: 
		env.Append(CCFLAGS='-O3 ')
		env.Append(CPPFLAGS='-O3 ')
		
	al_lib = 'openal'
	env.Append(CPPFLAGS=' -Wall -pedantic -Wno-long-long -pipe -pthread ')
	env.Append(CCFLAGS=' -Wall -pedantic -Wno-long-long -pipe -pthread ')


conf_env = env.Copy()
conf = Configure(conf_env)

os.environ['PKG_CONFIG_PATH'] = "/usr/local/lib/pkgconfig/"

if sys.platform != "win32":
	sigc_p = os.popen('pkg-config --cflags sigc++-2.0', 'r')
	sigc_flags = sigc_p.readline().strip()
	sigc_p = os.popen('pkg-config --libs-only-L sigc++-2.0', 'r')
	sigc_lflags = sigc_p.readline().strip()
	conf_env.Append(LINKFLAGS=sigc_lflags)
	env.Append(LINKFLAGS=sigc_lflags)
	sigc_lib = 'sigc-2.0' #guess 
	
else: 
	sigc_flags = ''
	if stl_port_debug:
		sigc_lib = 'sigc-2.0d'
	else: 
		sigc_lib = 'sigc-2.0'

conf_env.Append(CXXFLAGS=sigc_flags)


#print conf.env['CCFLAGS']


if not conf.CheckLibWithHeader(sigc_lib, 'sigc++/sigc++.h', 'c++', "sigc::signal1<int,int> sig;", False):
	Exit(1)

if not conf.CheckLibWithHeader('expat', 'expat.h', 'c', "XML_ParserCreate(NULL);", False):
	Exit(1)

if not conf.CheckLibWithHeader('z', 'zlib.h', 'c', "zlibVersion();", False):
	Exit(1)

if sys.platform == "win32":
	conf.env.Append(LINKFLAGS = '/SUBSYSTEM:WINDOWS /FORCE')
	conf.env.Append(LIBS=['SDLmain'])

if not conf.CheckLibWithHeader('SDL', 'SDL/SDL.h', 'c++', "SDL_Init(0);", False):
	Exit(1)

if not conf.CheckLibWithHeader('SDL_image', 'SDL/SDL_image.h', 'c++', "IMG_Load(0);", False):
	Exit(1)

#if not conf.CheckLibWithHeader('SDL_ttf', 'SDL/SDL_ttf.h', 'c++', "TTF_Init();", False):
#	Exit(1)

if not conf.CheckLibWithHeader(al_lib, 'AL/al.h', 'c++', "ALuint s; alGenSources(1, &s);", False):
	Exit(1)

if not conf.CheckLibWithHeader('vorbisfile', 'vorbis/vorbisfile.h', 'c++', "ov_open(0, 0, 0, 0);", False):
	Exit(1)

if sys.platform == 'win32' and env['enable_lua']:
	if not conf.CheckLibWithHeader('lua', 'lua.hpp', 'c++', "lua_newstate(NULL, NULL);", False):
		Exit(1)

conf.Finish()

if sys.platform == "win32":
	env.Append(LIBS=['Ws2_32', 'SDLmain'])
	env.Append(LINKFLAGS = '/SUBSYSTEM:WINDOWS ')

if debug: 
	env.Append(CPPDEFINES = ['DEBUG'])
else:
	env.Append(CPPDEFINES = ['RELEASE'])

Export('env')
Export('sigc_flags')
Export('sigc_lib')
Export('al_lib')

lib_dir = '.'
try : 
	version_file = file('.svnversion', 'r')
	try : 
		version = version_file.readline().strip()
		prefix = env['prefix']
		if len(prefix): 
			env.Append(CPPDEFINES='PREFIX="\\"' + prefix + '\\""')
	
			if len(env['resources_dir']):
				resources_dir = env['resources_dir']
			else: 
				resources_dir = prefix + "/share/btanks"

			env.Append(CPPDEFINES='RESOURCES_DIR="\\"' + resources_dir + '\\""')

			if len(env['lib_dir']):
				lib_dir = env['lib_dir']
			else: 
				lib_dir = prefix + "/lib"
	except: 
		info = sys.exc_info()
		print "%s %s %s" %(info[0], info[1], info[2])
except : 
	svnversion = os.popen('svnversion -n .', 'r')
	version = svnversion.readline().strip()

	if sys.platform != "win32":
		prefix = env['prefix']
		res_dir = env['resources_dir'] 
	
		if len(prefix) or len(res_dir): 	
			env.Append(CPPDEFINES='PREFIX="\\"' + prefix + '\\""')
	
			if len(env['resources_dir']):
				resources_dir = env['resources_dir']
			else: 
				resources_dir = prefix + "/share/btanks"

			if len(env['lib_dir']):
				lib_dir = env['lib_dir']
			else: 
				lib_dir = prefix + "/lib"

			env.Append(CPPDEFINES='RESOURCES_DIR="\\"' + resources_dir + '\\""')

version = version[version.rfind(':') + 1:]
revision = int(version.replace('M', ''))
	
Export('version')
Export('revision')
Export('lib_dir')

version = '0.7.%s' %version
print "version: %s" %version

env.Append(CPPPATH=['.', 'src'])
env.Append(CXXFLAGS=sigc_flags)

env.Append(CPPPATH=['#', '#/src'])

bt_sublibs = ['mrt', 'sdlx', 'objects'] #fann

if (os.path.exists('private')):
	dir = 'private'
	BuildDir('#/build/' + buildmode + '/' + dir, dir, 0)
	SConscript('#/build/' + buildmode + '/' + dir + '/SConscript')	

for dir in bt_sublibs:
	BuildDir('#/build/' + buildmode + '/' + dir, dir, 0)
	SConscript('#/build/' + buildmode + '/' + dir + '/SConscript')

for dir in bt_sublibs:
	env.Append(LIBPATH=['#/build/' + buildmode + '/' + dir])

env.Append(LIBPATH=['#/build/' + buildmode])

env.BuildDir('#/build/' + buildmode, '#', 0)
SConscript('#/build/' + buildmode + '/' + 'SConscript')

## btanks 0.8.7686

=== SConstruct ===
import os, sys

#builder for static libraries
env = Environment()
if sys.platform == 'win32':
	env['SHLINKCOM'] = [env['SHLINKCOM'], 'mt.exe -nologo -manifest ${TARGET}.manifest -outputresource:$TARGET;2']

picLibBuilder = Builder(
		action = Action('$ARCOM'),
		emitter = '$LIBEMITTER',
		prefix = '$LIBPREFIX',
		suffix = '$LIBSUFFIX',
		src_suffix = '$OBJSUFFIX',
		src_builder = 'SharedObject')

env['BUILDERS']['StaticLibrary'] = picLibBuilder
env['BUILDERS']['Library'] = picLibBuilder

opts = Options(['options.cache'])
opts.Add('CC', 'C compiler')
opts.Add('CXX', 'C++ compiler')
opts.Add('CCFLAGS', 'General options that are passed to the C compiler', '')
opts.Add('CXXFLAGS', 'General options that are passed to the C++ compiler', '')
if sys.platform == "win32":
	opts.Add('LINK', 'Linker program', '')
opts.Add('LINKFLAGS', 'General options that are passed to the linker', '')
opts.Add('CPPPATH', 'extra cpp path', '')

if sys.platform != "win32":
	opts.Add('prefix', 'prefix for **nix packaging', '')
	opts.Add('lib_dir', 'resources directory (default: prefix/lib)', '')
	opts.Add('plugins_dir', 'plugins directory (default: prefix/lib/btanks)', '')
	opts.Add('resources_dir', 'resources directory (default: prefix/share/btanks)', '')

opts.Add(EnumOption('mode', 'build mode', 'release', allowed_values=('debug','release')))
opts.Add(BoolOption('gcc_visibility', 'gcc visibility', 'false'))
opts.Add(BoolOption('enable_lua', 'enable lua support', 'true'))

opts.Update(env)
opts.Save('options.cache', env.Clone())

Help(opts.GenerateHelpText(env))

buildmode = env['mode']
debug = buildmode == "debug"
Export('debug')

import SCons.Util
if os.environ.has_key('CC'):
	env['CC'] = os.environ['CC']
if os.environ.has_key('CFLAGS'):
	env['CCFLAGS'] += SCons.Util.CLVar(os.environ['CFLAGS'])
if os.environ.has_key('CXX'):
	env['CXX'] = os.environ['CXX']
if os.environ.has_key('CXXFLAGS'):
	env['CXXFLAGS'] += SCons.Util.CLVar(os.environ['CXXFLAGS'])
if os.environ.has_key('LDFLAGS'):
	env['LINKFLAGS'] += SCons.Util.CLVar(os.environ['LDFLAGS'])

if (env['gcc_visibility']): 
	env.Append(CCFLAGS=['-fvisibility=hidden', '-DGCC_HASCLASSVISIBILITY'])
	env.Append(CXXFLAGS=['-fvisibility-inlines-hidden', '-fvisibility=hidden', '-DGCC_HASCLASSVISIBILITY'])

if sys.platform == "win32" and debug:
	stl_port_debug = True
else: 
	stl_port_debug = False

#if stl_port_debug: 
#	env.Append(CPPDEFINES = ['_STLP_DEBUG', '_STLP_DEBUG_UNINITIALIZED'])

env.Append(CPPDEFINES = ['USE_GLSDL'])
env.Append(CPPDEFINES = ['V3_DISABLE_Z'])
env.Append(CPPDEFINES = ['_REENTRANT'])

#print sys.platform
if sys.platform == "win32":
	env.Append(CPPDEFINES = ['_WINDOWS', '_CRT_SECURE_NO_WARNINGS']) #, '_UNICODE'
	env.Append(CCFLAGS = ['/GR', '/W3', '/nologo'])
	env.Append(CXXFLAGS = ['/EHsc', '/GR', '/W3', '/nologo'])

	if debug:
		env.Append(CCFLAGS = ['/Zi', '/GT', '/Od', '/MDd', '/RTC1'])
		env.Append(CXXFLAGS = ['/Zi', '/GT', '/Od', '/MDd', '/RTC1'])
		env.Append(LINKFLAGS = ['/NOLOGO', '/DEBUG'])
	else:
		env.Append(CCCFLAGS = ['/Ot', '/Ox', '/GA', '/GF', '/Gs', '/Gy', '/MD']) #optimizations
		env.Append(CPPFLAGS = ['/Ot', '/Ox', '/GA', '/GF', '/Gs', '/Gy', '/MD']) #optimizations
		env.Append(LINKFLAGS = ['/OPT:REF', '/OPT:ICF', '/NOLOGO', '/INCREMENTAL:NO'])
		#env.Append(CPPDEFINES = ['NDEBUG']) 

else:
	if env['gcc_visibility']: 
		env.Append(CCFLAGS=['-fvisibility=hidden']);
		env.Append(CXXFLAGS=['-fvisibility-inlines-hidden', '-fvisibility=hidden']);

	if debug:
		env.Append(CCFLAGS=['-ggdb', '-D_FORTIFY_SOURCE=2'])
		env.Append(CPPFLAGS=['-ggdb', '-D_FORTIFY_SOURCE=2'])
	else: 
		env.Append(CCFLAGS=['-O3'])
		env.Append(CPPFLAGS=['-O3'])
		
	env.Append(CPPFLAGS=['-Wall', '-pedantic', '-Wno-long-long', '-pipe', '-pthread'])
	env.Append(CCFLAGS=['-Wall', '-pedantic', '-Wno-long-long', '-pipe', '-pthread'])


conf_env = env.Clone()
conf = Configure(conf_env)

#print conf.env['CCFLAGS']

if not conf.CheckLibWithHeader('expat', 'expat.h', 'c', "XML_ParserCreate(NULL);", False):
	Exit(1)

if not conf.CheckLibWithHeader('z', 'zlib.h', 'c', "zlibVersion();", False):
	Exit(1)

if sys.platform == "win32":
	conf.env.Append(LINKFLAGS = ['/SUBSYSTEM:WINDOWS', '/FORCE'])
	conf.env.Append(LIBS=['SDLmain'])

if not conf.CheckLibWithHeader('SDL', 'SDL/SDL.h', 'c++', "SDL_Init(0);", False):
	Exit(1)
	
if sys.platform != "win32":
	sdl_cflags = env.ParseFlags('!pkg-config --cflags sdl')
	sdl_libs = env.ParseFlags('!pkg-config --libs sdl')
	conf.env.MergeFlags(sdl_cflags, sdl_libs)
else: 
	sdl_cflags = {}
	sdl_libs = {}

Export('sdl_cflags')
Export('sdl_libs')
smpeg_lib = 'smpeg'
if debug and sys.platform == 'win32':
	smpeg_lib = 'smpeg_d'
Export('smpeg_lib')

if not conf.CheckLibWithHeader(smpeg_lib, 'smpeg/smpeg.h', 'c++', "SMPEG_new_data(malloc(42), 42, NULL, 0);", False):
	Exit(1)

if not conf.CheckLibWithHeader('SDL_image', 'SDL/SDL_image.h', 'c++', "IMG_Load(0);", False):
	Exit(1)

if not conf.CheckLibWithHeader('vorbisfile', 'vorbis/vorbisfile.h', 'c++', "ov_open(0, 0, 0, 0);", False):
	Exit(1)

if sys.platform == 'win32' and env['enable_lua']:
	if not conf.CheckLibWithHeader('lua', 'lua.hpp', 'c++', "lua_newstate(NULL, NULL);", False):
		Exit(1)

conf.Finish()

if sys.platform == "win32":
	env.Append(LIBS=['Ws2_32', 'SDLmain'])
	env.Append(LINKFLAGS = ['/SUBSYSTEM:WINDOWS'])

if debug: 
	env.Append(CPPDEFINES = ['DEBUG'])
else:
	env.Append(CPPDEFINES = ['RELEASE'])

Export('env')
install_targets = list()
Export('install_targets')

lib_dir = '.'
plugins_dir = ''
try : 
	version_file = file('.svnversion', 'r')
	try : 
		version = version_file.readline().strip()
		prefix = env['prefix']
		if len(prefix): 
			env.Append(CPPDEFINES=['PREFIX="\\"' + prefix + '\\""'])
	
			if len(env['resources_dir']):
				resources_dir = env['resources_dir']
			else: 
				resources_dir = prefix + "/share/btanks"

			env.Append(CPPDEFINES=['RESOURCES_DIR="\\"' + resources_dir + '\\""'])

			if len(env['lib_dir']):
				lib_dir = env['lib_dir']
			else: 
				lib_dir = prefix + "/lib"

			if len(env['plugins_dir']):
				plugins_dir = env['plugins_dir']
			else: 
				plugins_dir = lib_dir + "/btanks"

			env.Append(CPPDEFINES='PLUGINS_DIR="\\"' + plugins_dir + '\\""')

	except: 
		info = sys.exc_info()
		print "%s %s %s" %(info[0], info[1], info[2])
except : 
	svnversion = os.popen('svnversion -n .', 'r')
	version = svnversion.readline().strip()

	if sys.platform != "win32":
		prefix = env['prefix']
		res_dir = env['resources_dir'] 
		plugins_dir = ''
	
		if len(prefix) or len(res_dir): 	
			env.Append(CPPDEFINES=['PREFIX="\\"' + prefix + '\\""'])
	
			if len(env['resources_dir']):
				resources_dir = env['resources_dir']
			else: 
				resources_dir = prefix + "/share/btanks"

			if len(env['lib_dir']):
				lib_dir = env['lib_dir']
			else: 
				lib_dir = prefix + "/lib"

			env.Append(CPPDEFINES=['RESOURCES_DIR="\\"' + resources_dir + '\\""'])

			if len(env['plugins_dir']):
				plugins_dir = env['plugins_dir']
			else: 
				plugins_dir = lib_dir + "/btanks"

			env.Append(CPPDEFINES='PLUGINS_DIR="\\"' + plugins_dir + '\\""')

version = version[version.rfind(':') + 1:]
revision = int(version.replace('M', ''))

Export('version')
Export('revision')
Export('lib_dir')
Export('plugins_dir')

version = '0.8.%s' %version
print "version: %s" %version

bt_sublibs = ['mrt', 'sdlx', 'objects', 'clunk']
env.Append(CPPPATH=['#'])

if (os.path.exists('private')):
	dir = 'private'
	BuildDir('#/build/' + buildmode + '/' + dir, dir, 0)
	SConscript('#/build/' + buildmode + '/' + dir + '/SConscript')	

for dir in bt_sublibs:
	BuildDir('#/build/' + buildmode + '/' + dir, dir, 0)
	SConscript('#/build/' + buildmode + '/' + dir + '/SConscript')

for dir in bt_sublibs:
	env.Append(LIBPATH=['#/build/' + buildmode + '/' + dir])

env.BuildDir('#/build/' + buildmode + '/editor', 'editor', 0)
SConscript('#/build/' + buildmode + '/editor/SConscript')

env.Append(LIBPATH=['#/build/' + buildmode + '/engine'])

env.BuildDir('#/build/' + buildmode + '/engine', 'engine', 0)
SConscript('#/build/' + buildmode + '/engine/' + 'SConscript')

if len(install_targets) > 0:
	install_targets.append(env.Command(resources_dir + '/resources.dat', '#/data', 'zip -q -0 -r  $TARGET * -x \*.svn\* -x \*.wav', chdir='data'))
	env.Alias('install', install_targets)

## btanks 0.9.8083

=== SConstruct ===
--- 
+++ 
@@ -1,7 +1,7 @@
 import os, sys
 
-#builder for static libraries
-env = Environment()
+env = Environment(ENV=os.environ)
+
 if sys.platform == 'win32':
 	env['SHLINKCOM'] = [env['SHLINKCOM'], 'mt.exe -nologo -manifest ${TARGET}.manifest -outputresource:$TARGET;2']
 
@@ -17,24 +17,25 @@
 env['BUILDERS']['Library'] = picLibBuilder
 
 opts = Options(['options.cache'])
-opts.Add('CC', 'C compiler')
-opts.Add('CXX', 'C++ compiler')
-opts.Add('CCFLAGS', 'General options that are passed to the C compiler', '')
-opts.Add('CXXFLAGS', 'General options that are passed to the C++ compiler', '')
-if sys.platform == "win32":
-	opts.Add('LINK', 'Linker program', '')
-opts.Add('LINKFLAGS', 'General options that are passed to the linker', '')
-opts.Add('CPPPATH', 'extra cpp path', '')
+#opts.Add('CC', 'C compiler')
+#opts.Add('CXX', 'C++ compiler')
+opts.Add('CCFLAGS', 'General options that are passed to the C compiler')
+opts.Add('CXXFLAGS', 'General options that are passed to the C++ compiler')
+if sys.platform == "win32":
+	opts.Add('LINK', 'Linker program')
+opts.Add('LINKFLAGS', 'General options that are passed to the linker')
+opts.Add('LIBPATH', 'Path to external libraries')
+opts.Add('LINK', 'Linker')
+opts.Add('CPPPATH', 'extra cpp path')
 
 if sys.platform != "win32":
 	opts.Add('prefix', 'prefix for **nix packaging', '')
 	opts.Add('lib_dir', 'resources directory (default: prefix/lib)', '')
 	opts.Add('plugins_dir', 'plugins directory (default: prefix/lib/btanks)', '')
 	opts.Add('resources_dir', 'resources directory (default: prefix/share/btanks)', '')
+	opts.Add(BoolOption('gcc_visibility', 'gcc visibility', 'true'))
 
 opts.Add(EnumOption('mode', 'build mode', 'release', allowed_values=('debug','release')))
-opts.Add(BoolOption('gcc_visibility', 'gcc visibility', 'false'))
-opts.Add(BoolOption('enable_lua', 'enable lua support', 'true'))
 
 opts.Update(env)
 opts.Save('options.cache', env.Clone())
@@ -57,7 +58,7 @@
 if os.environ.has_key('LDFLAGS'):
 	env['LINKFLAGS'] += SCons.Util.CLVar(os.environ['LDFLAGS'])
 
-if (env['gcc_visibility']): 
+if (sys.platform != "win32" and env['gcc_visibility']): 
 	env.Append(CCFLAGS=['-fvisibility=hidden', '-DGCC_HASCLASSVISIBILITY'])
 	env.Append(CXXFLAGS=['-fvisibility-inlines-hidden', '-fvisibility=hidden', '-DGCC_HASCLASSVISIBILITY'])
 
@@ -101,28 +102,13 @@
 		env.Append(CCFLAGS=['-O3'])
 		env.Append(CPPFLAGS=['-O3'])
 		
-	env.Append(CPPFLAGS=['-Wall', '-pedantic', '-Wno-long-long', '-pipe', '-pthread'])
-	env.Append(CCFLAGS=['-Wall', '-pedantic', '-Wno-long-long', '-pipe', '-pthread'])
+	env.Append(CPPFLAGS=['-Wall', '-Wno-deprecated', '-pedantic', '-Wno-long-long', '-pipe', '-pthread'])
+	env.Append(CCFLAGS=['-Wall', '-Wno-deprecated', '-pedantic', '-Wno-long-long', '-pipe', '-pthread'])
 
 
 conf_env = env.Clone()
 conf = Configure(conf_env)
 
-#print conf.env['CCFLAGS']
-
-if not conf.CheckLibWithHeader('expat', 'expat.h', 'c', "XML_ParserCreate(NULL);", False):
-	Exit(1)
-
-if not conf.CheckLibWithHeader('z', 'zlib.h', 'c', "zlibVersion();", False):
-	Exit(1)
-
-if sys.platform == "win32":
-	conf.env.Append(LINKFLAGS = ['/SUBSYSTEM:WINDOWS', '/FORCE'])
-	conf.env.Append(LIBS=['SDLmain'])
-
-if not conf.CheckLibWithHeader('SDL', 'SDL/SDL.h', 'c++', "SDL_Init(0);", False):
-	Exit(1)
-	
 if sys.platform != "win32":
 	sdl_cflags = env.ParseFlags('!pkg-config --cflags sdl')
 	sdl_libs = env.ParseFlags('!pkg-config --libs sdl')
@@ -131,6 +117,22 @@
 	sdl_cflags = {}
 	sdl_libs = {}
 
+#print conf.env['CCFLAGS']
+
+if not conf.CheckLibWithHeader('expat', 'expat.h', 'c', "XML_ParserCreate(NULL);", False):
+	Exit(1)
+
+if not conf.CheckLibWithHeader('z', 'zlib.h', 'c', "zlibVersion();", False):
+	Exit(1)
+
+if sys.platform == "win32":
+	conf.env.Append(LINKFLAGS = ['/SUBSYSTEM:WINDOWS', '/FORCE'])
+	conf.env.Append(LIBS=['SDLmain'])
+
+if not conf.CheckLibWithHeader('SDL', 'SDL.h', 'c++', "SDL_Init(0);", False):
+	Exit(1)
+	
+
 Export('sdl_cflags')
 Export('sdl_libs')
 smpeg_lib = 'smpeg'
@@ -141,15 +143,20 @@
 if not conf.CheckLibWithHeader(smpeg_lib, 'smpeg/smpeg.h', 'c++', "SMPEG_new_data(malloc(42), 42, NULL, 0);", False):
 	Exit(1)
 
-if not conf.CheckLibWithHeader('SDL_image', 'SDL/SDL_image.h', 'c++', "IMG_Load(0);", False):
+if not conf.CheckLibWithHeader('SDL_image', 'SDL_image.h', 'c++', "IMG_Load(0);", False):
 	Exit(1)
 
 if not conf.CheckLibWithHeader('vorbisfile', 'vorbis/vorbisfile.h', 'c++', "ov_open(0, 0, 0, 0);", False):
 	Exit(1)
 
-if sys.platform == 'win32' and env['enable_lua']:
+if sys.platform == 'win32':
 	if not conf.CheckLibWithHeader('lua', 'lua.hpp', 'c++', "lua_newstate(NULL, NULL);", False):
 		Exit(1)
+
+if sys.platform != 'win32':
+	have_sse = conf.CheckLibWithHeader('m', "xmmintrin.h", 'c', '_mm_set_ss(1.0f);', False)
+else: 
+	have_sse = conf.CheckLibWithHeader('kernel32', "xmmintrin.h", 'c', '_mm_set_ss(1.0f);', False) # hackish lib :(
 
 conf.Finish()
 
@@ -165,6 +172,7 @@
 Export('env')
 install_targets = list()
 Export('install_targets')
+Export('have_sse')
 
 lib_dir = '.'
 plugins_dir = ''
@@ -237,7 +245,7 @@
 Export('lib_dir')
 Export('plugins_dir')
 
-version = '0.8.%s' %version
+version = '0.9.%s' %version
 print "version: %s" %version
 
 bt_sublibs = ['mrt', 'sdlx', 'objects', 'clunk']

=== clunk/SConstruct ===
import os, sys

env = Environment()
debug = False

sdl_cflags = env.ParseFlags('!pkg-config --cflags sdl')
sdl_libs = env.ParseFlags('!pkg-config --libs sdl')

env.MergeFlags(sdl_cflags)
env.MergeFlags(sdl_libs)

lib_dir = '.'
have_sse = False
#have_sse = True
#debug = True
debug = False
prefix = ''

Export('sdl_cflags')
Export('sdl_libs')
Export('lib_dir')
Export('have_sse')
Export('env')
Export('debug')
env['prefix'] = ''

env.Append(LIBPATH=['.'])
env.Append(CPPDEFINES=['DEBUG', '_REENTRANT'])
if have_sse:
	env.Append(CPPDEFINES=['USE_SIMD'])

if debug:
	buildmode = 'debug'
	env.Append(CXXFLAGS=['-ggdb'])
else:
	buildmode = 'release'
	env.Append(CXXFLAGS=['-O3', '-mtune=native', '-march=native'])

clunk_src = [
	'context.cpp', 'sample.cpp', 'object.cpp', 'source.cpp', 'sdl_ex.cpp', 'stream.cpp', 
	'kemar.c', 'buffer.cpp', 'distance_model.cpp', 'logger.cpp', 'clunk_ex.cpp',
]
if have_sse:
	clunk_src.append('sse_fft_context.cpp')

clunk = env.SharedLibrary('clunk', 
	clunk_src, 
	LIBS=['SDL'])


if sys.platform != 'win32':
	env.Append(CFLAGS=['-Wall', '-pedantic'])
	env.Append(CXXFLAGS=['-Wall', '-pedantic'])
	env.Append(LINKFLAGS=['-Wl,-rpath,'+ lib_dir])
	env.Append(LINKFLAGS=['-Wl,-rpath-link,.'])

env.Program('clunk_test', ['test.cpp'], LIBS=['clunk'])

=== debian/changelog ===
btanks (0.9.8083-6) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS on buildd by using override_dh_install-indep instead of
    override_dh_install.
  * Export DEB_CFLAGS_MAINT_APPEND = -D_FORTIFY_SOURCE=2 because upstream's
    build system does not honor CPPFLAGS correctly.
  * Improve package description. Thanks to Paul Stewart for the report and
    patch. (LP: #834098)

 -- Markus Koschany <apo@debian.org>  Fri, 15 Apr 2016 06:18:35 +0200

btanks (0.9.8083-5) unstable; urgency=medium

  * Team upload.

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org.

  [ Markus Koschany ]
  * Remove override for dh_builddeb. xz is the default now.
  * wrap-and-sort -sa.
  * Declare compliance with Debian Policy 3.9.8.
  * Use compat level 9 and require debhelper >= 9.
  * Vcs-Browser: Use https.
  * Fix Lintian error build-depends-on-obsolete-package and remove
    hardening-includes from Build-Depends.
  * btanks-data: Replace Recommends btanks with Suggests.
  * debian/copyright: Update to copyright format 1.0 syntax.
  * Build with parallel.
  * Fix Lintian error dh-manual-sequence-control-obsolete dh before and dh
    remaining and remove binary-indep target in debian/rules.
  * Export DEB_BUILD_MAINT_OPTIONS = hardening=+all.
  * btanks.desktop: Add keywords and a comment in German.
  * Add 64x64 png icon and install it to hicolor directory.

 -- Markus Koschany <apo@debian.org>  Thu, 14 Apr 2016 23:56:32 +0200

btanks (0.9.8083-4) unstable; urgency=low

  * Team upload.

  [ Ansgar Burchardt ]
  * Use XZ compression for binary packages.

  [ Vincent Legout ]
  * Build-Depends on zlib1g-dev, fix FTBFS (Closes: #669518)
  * Fix Vcs-Browser field
  * debian/patches/remove_default_optimizations.patch: Add DEP-3 header

 -- Dmitrijs Ledkovs <xnox@debian.org>  Thu, 31 May 2012 02:47:36 +0100

btanks (0.9.8083-3.1) unstable; urgency=low

  * Non maintainer upload.
  * Fix build failure with GCC 4.7. Closes: #667123.

 -- Matthias Klose <doko@debian.org>  Wed, 30 May 2012 04:35:06 +0000

btanks (0.9.8083-3) unstable; urgency=low

  * Fix FTBFS with gcc-4.6. (Closes: #624916)
    + new patch: gcc-4.6.patch
  * Use dpkg-buildflags and hardening-includes to set compiler flags.
  * debian/control: Use Breaks instead of Conflicts.
  * Bump Standards-Version to 3.9.2.
  * debian/control: Remove DM-Upload-Allowed.
  * Update my email address.

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 10 May 2011 08:21:56 +0200

btanks (0.9.8083-2) unstable; urgency=low

  * Fix build failure when building only arch-specific package.
  * debian/control: Add DM-Upload-Allowed: yes.

 -- Ansgar Burchardt <ansgar@43-1.org>  Sun, 17 Jan 2010 00:02:57 +0900

btanks (0.9.8083-1) unstable; urgency=low

  [ Ansgar Burchardt ]
  * New upstream release.
    + Update debian/copyright.
  * Switch to source format v3 and drop b-dep on quilt.
  * debian/rules: Use override_* rules.
  * Bump Standards Version to 3.8.3 (no changes).

  [ Gonéri Le Bouder ]
  * Use source format v3 to store html.tar.uu content directly in
    debian/ directory
  * doc is in btanks package, Move btanks-data.doc-base to btanks.doc-base
   - add a conflicts against btanks-data << 0.9.8083-1
  * Add myself in Uploaders:

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Sun, 10 Jan 2010 02:25:17 +0100

btanks (0.8.7686-2) unstable; urgency=low

  * Do not use the CURRENCY_SYMBOL identifier in mrt/tclUniData.c.
    This should fix the build failure on alpha.
    + new patch rename-currency-symbol.patch

 -- Ansgar Burchardt <ansgar@43-1.org>  Tue, 17 Feb 2009 00:16:17 +0100

btanks (0.8.7686-1) unstable; urgency=low

  * New Upstream Version (Closes: #490792, #496997)
    + Get available resolutions from the SDL (Closes: #440737)
    + New sound backend (Closes: #440897)
  * Refresh remove_default_optimizations.patch
  * Remove btanks_gcc43.patch (applied upstream)
  * Rewrote debian/rules to use debhelper 7
  * Change description for btanks-data
  * Add myself to Uploaders
  * Convert debian/copyright to proposed machine-readable format
    and update for new upstream release
  * Bump Standards Version to 3.8.0 (no changes)

 -- Ansgar Burchardt <ansgar@43-1.org>  Sun, 21 Sep 2008 19:11:19 +0200

btanks (0.7.5800-2) unstable; urgency=high

  [ Barry deFreese ]
  * btanks_gcc43.patch - Build with gcc-4.3. (Closes: #470980).

  [ Alexander Schmehl ]
  * Adjusting build-depends for dh_icon
  * Set correct doc-base section

 -- Alexander Schmehl <tolimar@debian.org>  Mon, 07 Apr 2008 23:38:08 +0200

btanks (0.7.5800-1) unstable; urgency=low

  [ Barry deFreese ]
  * New upstream release (Closes: #449455)
  * debian/docs - remove about_us.txt File no longer exists
  * Add watch file
  * Remove XS- prefix from VCS fields in control
  * Remove Homepage from package descriptions
  * Add myself to uploaders
  * Bump Standards Version to 3.7.3
  * Add build-dep on liblua5.1 for new release
  * Change menu section to Games/Action
  * Add -l$(CURDIR)/debian/btanks/usr/lib/btanks to dh_shlibdeps

  [ Simon Ruggier ]
  * rules: add call to dh_desktop in the binary-arch target
  * menu: change section to Games/Arcade, which exists in the menu spec
  * btanks.desktop: add ArcadeGame to Categories 
    + remove deprecated Encoding key

  [ Paul Wise ]
  * Call dh_icons to update icon caches
  * Improve the description for the data package
  * Clean up the watch file
  * Drop ${shlibs:Depends} from data pkg deps

 -- Barry deFreese <bddebian@comcast.net>  Sun, 07 Oct 2007 22:32:28 -0400

btanks (0.5.4740-2) unstable; urgency=low

  * Corrected btanks-data.doc-base. Wrong mention to other package.

 -- Miriam Ruiz <little_miry@yahoo.es>  Fri, 24 Aug 2007 09:47:46 +0200

btanks (0.5.4740-1) unstable; urgency=low

  * Initial release (Closes: #434740)

 -- Miriam Ruiz <little_miry@yahoo.es>  Sat, 04 Aug 2007 17:16:13 +0000

=== debian/control ===
Source: btanks
Section: games
Priority: extra
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Miriam Ruiz <little_miry@yahoo.es>,
 Barry deFreese <bddebian@comcast.net>,
 Ansgar Burchardt <ansgar@debian.org>
Build-Depends:
 debhelper (>= 9),
 dpkg (>= 1.15.7),
 libexpat1-dev,
 libgl1-mesa-dev | libgl-dev,
 libglu1-mesa-dev | libglu-dev,
 liblua5.1-dev,
 libsdl-image1.2-dev,
 libsdl1.2-dev,
 libsigc++-2.0-dev,
 libsmpeg-dev,
 libvorbis-dev,
 python,
 scons,
 sharutils,
 zlib1g-dev
Standards-Version: 3.9.8
Homepage: http://btanks.sourceforge.net
Vcs-Svn: svn://anonscm.debian.org/pkg-games/packages/trunk/btanks/
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-games/packages/trunk/btanks/

Package: btanks
Architecture: any
Depends:
 btanks-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Breaks:
 btanks-data (<< 0.9.8083-1)
Description: fast 2D tank arcade game with multiplayer and split-screen modes
 Battle Tanks is a funny battle on your desk, where you can choose one of three
 vehicles and eliminate your enemy using the whole arsenal of weapons. It has
 original cartoon-like graphics and cool music, is fun and dynamic and has
 death-match and cooperative network modes.

Package: btanks-data
Architecture: all
Depends:
 ${misc:Depends}
Suggests:
 btanks
Description: fast 2D tank arcade game -- data
 Battle Tanks is a funny battle on your desk, where you can choose one of three
 vehicles and eliminate your enemy using the whole arsenal of weapons. It has
 original cartoon-like graphics and cool music, is fun and dynamic and has
 death-match and cooperative network modes.
 .
 This package contains fonts, maps, sounds, music, images and other data for
 Battle Tanks.

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -D_FORTIFY_SOURCE=2

%:
	dh $@ --parallel

override_dh_auto_build:
	python engine/sl08/sl08.py >engine/sl08/sl08.h
	scons prefix=/usr resources_dir=/usr/share/games/btanks plugins_dir=/usr/lib/btanks lib_dir=/usr/lib/btanks

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .sconf_temp build

override_dh_install-indep:
	dh_install
	find debian/btanks-data -type f -print0 | xargs -0 chmod 0644

=== debian/watch ===
version=3
http://sf.net/btanks/btanks-(.+)\.tar\.bz2
